Bug 1267523 - Use of uninitialized value $mycalc{"total_aria_indexes"}
Use of uninitialized value $mycalc{"total_aria_indexes"}
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mysqltuner (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Major Hayden
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-30 05:39 EDT by Harald Reindl
Modified: 2016-05-13 02:21 EDT (History)
3 users (show)

See Also:
Fixed In Version: mysqltuner-1.6.0-3.git.a154701.fc23 mysqltuner-1.6.0-3.git.a154701.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 16:55:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Reindl 2015-09-30 05:39:52 EDT
glad to see upstream maintaining the Fedora package now

i doubt "None of your Aria tables are indexed - add indexes immediately" because for now the only Aria table is your rsyslog database with the following definitions
_______________________________________________

CREATE TABLE `systemevents` (
  `ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `DeviceReportedTime` datetime DEFAULT NULL,
  `FromHost` varchar(30) CHARACTER SET latin1 COLLATE latin1_german1_ci NOT NULL,
  `Message` text CHARACTER SET latin1 COLLATE latin1_german1_ci,
  `SysLogTag` varchar(60) CHARACTER SET latin1 COLLATE latin1_german1_ci DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FromHost` (`FromHost`),
  KEY `SysLogTag` (`SysLogTag`),
  KEY `DeviceReportedTime` (`DeviceReportedTime`),
  KEY `mail_support_index` (`FromHost`,`SysLogTag`,`DeviceReportedTime`)
) ENGINE=Aria AUTO_INCREMENT=3027882 DEFAULT CHARSET=utf8 PACK_KEYS=0 PAGE_CHECKSUM=0 DELAY_KEY_WRITE=1 ROW_FORMAT=DYNAMIC TRANSACTIONAL=0
_______________________________________________

>>  MySQLTuner 1.6.0 - Major Hayden <major@mhtx.net>
[OK] Currently running supported MySQL version 10.0.21-MariaDB-log
[OK] Operating on 64-bit architecture

-------- Storage Engine Statistics -------------------------------------------
[--] Status: +Aria +CSV -FEDERATED -InnoDB +MRG_MyISAM 
[--] Data in Aria tables: 35M (Tables: 2)
[--] Data in MyISAM tables: 662M (Tables: 5147)
[!!] Total fragmented tables: 206


-------- AriaDB Metrics -----------------------------------------------------
[--] AriaDB is enabled.
Use of uninitialized value $mycalc{"total_aria_indexes"} in pattern match (m//)
        at /usr/bin/mysqltuner line 2742, <> line 2 (#1)
    (W uninitialized) An undefined value was used as if it were already
    defined.  It was interpreted as a "" or a 0, but maybe it was a mistake.
    To suppress this warning assign a defined value to your variables.
    
    To help you figure out what was undefined, perl will try to tell you
    the name of the variable (if any) that was undefined.  In some cases
    it cannot do this, so it also tells you what operation you used the
    undefined value in.  Note, however, that perl optimizes your program
    anid the operation displayed in the warning may not necessarily appear
    literally in your program.  For example, "that $foo" is usually
    optimized into "that " . $foo, and the warning will refer to the
    concatenation (.) operator, even though there is no . in
    your program.
    
Use of uninitialized value $mycalc{"total_aria_indexes"} in numeric eq (==) at
        /usr/bin/mysqltuner line 2746, <> line 2 (#1)
[!!] None of your Aria tables are indexed - add indexes immediately
Comment 1 Fedora End Of Life 2015-11-04 05:22:32 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Harald Reindl 2016-02-09 09:53:08 EST
ping
Comment 3 Major Hayden 2016-02-09 10:08:59 EST
Hey Harald, sorry for the delayed updates.  I'll try to get a look at this today.
Comment 4 Fedora Update System 2016-03-04 11:56:25 EST
mysqltuner-1.6.0-3.git.a154701.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-17c03956d1
Comment 5 Fedora Update System 2016-03-04 12:11:42 EST
mysqltuner-1.6.0-3.git.a154701.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3a2ffcfff2
Comment 6 Fedora Update System 2016-03-04 21:20:02 EST
mysqltuner-1.6.0-3.git.a154701.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3a2ffcfff2
Comment 7 Fedora Update System 2016-03-04 21:22:17 EST
mysqltuner-1.6.0-3.git.a154701.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-17c03956d1
Comment 8 Harald Reindl 2016-03-08 06:28:33 EST
fixed with mysqltuner-1.6.0-3.git.a154701.fc22.noarch
thanks!
Comment 9 Fedora Update System 2016-05-12 16:55:48 EDT
mysqltuner-1.6.0-3.git.a154701.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-05-13 02:21:45 EDT
mysqltuner-1.6.0-3.git.a154701.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.